HanMacWrdKGraphInternal::PictureFrame Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKGraphInternal::PictureFrame Struct Reference

Internal: the picture of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::PictureFrame:

## Public Member Functions
| PictureFrame (Frame const &orig)
| constructor More...
| ~PictureFrame ()
| destructor More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
Box2f | getBdBox () const
| return the frame bdbox More...

## Public Attributes
int | m_pictureType
| a type More...
Vec2i | m_dim
| a dim? More...
Vec2f | m_borderDim
| the border dim? More...
int | m_values [7]
| some unknown int More...
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
long | m_fileSubId
| the file sub id More...
int | m_id
| the local id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
MWAWGraphicStyle | m_style
| the style More...
int | m_borderType
| the border type More...
Vec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
bool | m_inGroup
| true if the frame is a child of a group More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends
std::ostream & | operator<< (std::ostream &o, PictureFrame const &picture)
| operator<< More...

## Detailed Description

Internal: the picture of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

HanMacWrdKGraphInternal::PictureFrame::PictureFrame | ( | Frame const & | orig | ) |
| inline

constructor

HanMacWrdKGraphInternal::PictureFrame::~PictureFrame | ( |  | ) |
| inline

destructor

## Member Function Documentation

std::string HanMacWrdKGraphInternal::PictureFrame::print | ( |  | ) | const
| inline

print local data

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PictureFrame const & | picture
| ) |  |
| friend

operator<<

## Member Data Documentation

Vec2f HanMacWrdKGraphInternal::PictureFrame::m_borderDim

the border dim?

Referenced by print().

Vec2i HanMacWrdKGraphInternal::PictureFrame::m_dim

a dim?

Referenced by print().

int HanMacWrdKGraphInternal::PictureFrame::m_pictureType

a type

Referenced by print().

int HanMacWrdKGraphInternal::PictureFrame::m_values[7]

some unknown int

Referenced by PictureFrame(), and print().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx